<?php
/**
 * @copyright (c) Kufer Software GmbH, Oderstraße 7, D-84453 Mühldorf
 */

namespace Kufer\Web\KuferTools\Mitarbeiter\TeilnehmerInfo\Detailsreiter\BelegteKurse;

class BelegteKurseResetFilterController extends BelegteKurseController
{
  
  protected function getRequestObj()
  {
    $requestObj = parent::getRequestObj();
    $requestObj->datumVon = '';
    $requestObj->datumBis = '';
    $requestObj->kursTitel = '';
    $requestObj->knrVon = '';
    $requestObj->knrBis = '';
    $filterFields = array('datumVon' => '', 'datumBis' => '', 'kursTitel' => '', 'knrVon' => '', 'knrBis' => '');
    \SessionOperations::setVarValueWTIntern('filterBelegteKurse_tool11', $filterFields);

    return $requestObj;
  }
}